Bug 683556 - PermissionException page (and possibly others?) exposes unsanitized jsf UI
PermissionException page (and possibly others?) exposes unsanitized jsf UI
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.0.0.B02
Unspecified Unspecified
high Severity unspecified (vote)
: ---
: ---
Assigned To: Heiko W. Rupp
Mike Foley
:
Depends On:
Blocks: gwt-iframes rhq42
  Show dependency treegraph
 
Reported: 2011-03-09 12:21 EST by Corey Welton
Modified: 2013-08-31 06:41 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-31 06:41:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
No JSF menu elements show up (16.92 KB, image/png)
2011-10-14 08:40 EDT, Heiko W. Rupp
no flags Details
verification image (89.33 KB, image/png)
2011-10-14 13:49 EDT, Mike Foley
no flags Details

  None (edit)
Description Corey Welton 2011-03-09 12:21:46 EST
Description of problem:
When a user gets a PermissionException error, the resulting UI is unsanitized jsf -- it has the legacy menubar, etc., embedded in it.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.  Login as user 'rhqadmin'. Navigate to Administration > Plugins
2.  Copy the URL from the browser
3.  Create another user who does NOT have Admin permissions ("joeblow")
4.  Login with user "joeblow"
5.  Paste the Administration URL in the browser bar
6.  Observe the ensuing PermissionException error page
  
Actual results:
Page contains unsanitized jsf - the old GUI menu elements appear

Expected results:
Page should not contain any legacy UI elements other than the error itself.

Additional info:
I have no idea whether this is unique to the particular exception or more widespread.
Comment 1 Heiko W. Rupp 2011-09-28 12:17:12 EDT
I will check this and see how to proceed.
Comment 2 Charles Crouch 2011-09-30 13:46:00 EDT
removing superfluous trackers
Comment 3 Heiko W. Rupp 2011-10-14 08:40:46 EDT
Created attachment 528201 [details]
No JSF menu elements show up
Comment 4 Heiko W. Rupp 2011-10-14 11:05:09 EDT
f76c66e in master removes the links to the old UI pages. Those are wrong and replacements not needed, as the top level tabs are easily reachable.
Comment 5 Mike Foley 2011-10-14 13:49:23 EDT
verify that no JSF menu elements show up.  and there are no links.  and no top level tabs.

to be clear ... the error page is not smartGWT.  it is a java server faces modal dialogue.  see attached image.

but this seems ok to me.  there are other remnants of jsf still in RHQ4/JON3.
Comment 6 Mike Foley 2011-10-14 13:49:55 EDT
Created attachment 528249 [details]
verification image
Comment 7 Heiko W. Rupp 2013-08-31 06:41:37 EDT
Closing as this was solved / verified long time ago.

Note You need to log in before you can comment on or make changes to this bug.